Bug 28037 - Improve breadcrumbs of CSV profiles page
Summary: Improve breadcrumbs of CSV profiles page
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 27846
Blocks:
  Show dependency treegraph
 
Reported: 2021-03-25 18:20 UTC by Owen Leonard
Modified: 2021-04-20 18:59 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
This patch expands the logic around the page title and breadcrumbs of the CSV profiles page. The name of the page has also been changed from "CSV export profiles" to "CSV profiles" to match links elsewhere in Koha. Breadcrumbs now display as: - Initial window: Tools > CSV profiles - New CSV profile: Tools > CSV profiles > New CSV profile - Edit an existing CSV profile: Tools > CSV profiles > Modify a CSV profile
Version(s) released in:
21.05.00


Attachments
Bug 28037: Improve breadcrumbs of CSV profiles page (2.65 KB, patch)
2021-03-25 18:26 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28037: Improve breadcrumbs of CSV profiles page (2.70 KB, patch)
2021-03-29 11:24 UTC, David Nind
Details | Diff | Splinter Review
Bug 28037: Improve breadcrumbs of CSV profiles page (2.76 KB, patch)
2021-04-03 14:53 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-03-25 18:20:07 UTC
The breadcrumbs menu on the CSV profiles page can be expanded to provide additional context for various operations.
Comment 1 Owen Leonard 2021-03-25 18:26:13 UTC
Created attachment 118836 [details] [review]
Bug 28037: Improve breadcrumbs of CSV profiles page

This patch expands the logic around the page title and breadcrumbs of
the CSV profiles page.

The name of the page has also been changed from "CSV export profiles" to
"CSV profiles" to match links elsewhere in Koha.

To test, apply the patch and go to Tools -> CSV profiles.

- The initial state of the page title and breadcrumbs menu should be
  "Tools > CSV profiles."
- Click "New CSV profile." The page title and breadcrumbs should show
  "Tools > CSV profiles > New CSV profile."
- Edit an existing CSV profile. The page title and breadcrumbs should
  show "Tools > CSV profiles > Modify a CSV profile."
Comment 2 Amit Gupta 2021-03-26 03:35:42 UTC
Bug 28037: Improve breadcrumbs of CSV profiles page

This patch expands the logic around the page title and breadcrumbs of
the CSV profiles page.

The name of the page has also been changed from "CSV export profiles" to
"CSV profiles" to match links elsewhere in Koha.

To test, apply the patch and go to Tools -> CSV profiles.

- The initial state of the page title and breadcrumbs menu should be
  "Tools > CSV profiles."
- Click "New CSV profile." The page title and breadcrumbs should show
  "Tools > CSV profiles > New CSV profile."
- Edit an existing CSV profile. The page title and breadcrumbs should
  show "Tools > CSV profiles > Modify a CSV profile."
--------------------------
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all: a
Applying: Bug 28037: Improve breadcrumbs of CSV profiles page
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/tools/csv-profiles.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 28037: Improve breadcrumbs of CSV profiles page
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".

---------

Patch not applied.
Comment 3 Owen Leonard 2021-03-26 10:46:10 UTC
(In reply to Amit Gupta from comment #2)

> Patch not applied.

Did you apply all the dependencies? You have to have Bug 27846.
Comment 4 Amit Gupta 2021-03-27 08:29:20 UTC
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all: a
Applying: Bug 28037: Improve breadcrumbs of CSV profiles page
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/tools/csv-profiles.tt).
error: could not build fake ancestor
Patch failed at 0001 Bug 28037: Improve breadcrumbs of CSV profiles page
The copy of the patch that failed is found in: .git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
------------------------------------------------------------------------
Patch not applied
Comment 5 Owen Leonard 2021-03-27 13:46:37 UTC
Depends on Bug 27846.
Comment 6 David Nind 2021-03-29 11:24:36 UTC
Created attachment 118948 [details] [review]
Bug 28037: Improve breadcrumbs of CSV profiles page

This patch expands the logic around the page title and breadcrumbs of
the CSV profiles page.

The name of the page has also been changed from "CSV export profiles" to
"CSV profiles" to match links elsewhere in Koha.

To test, apply the patch and go to Tools -> CSV profiles.

- The initial state of the page title and breadcrumbs menu should be
  "Tools > CSV profiles."
- Click "New CSV profile." The page title and breadcrumbs should show
  "Tools > CSV profiles > New CSV profile."
- Edit an existing CSV profile. The page title and breadcrumbs should
  show "Tools > CSV profiles > Modify a CSV profile."

Signed-off-by: David Nind <david@davidnind.com>
Comment 7 David Nind 2021-03-29 11:26:27 UTC
Testing notes:

- The patch and dependency (27846) applied fine for me.

- Need to update the CSS for the staff interface (see https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).
Comment 8 Katrin Fischer 2021-04-03 14:53:04 UTC
This makes me wonder a few things:

- Should we be using Edit or Modify? Do we have a preferred term or does it not matter?

- It now reads: "Modify a CSV profile" Looking at other pages, should this just be "Modify CSV profile"? (see news) 

- Or should we even try to include the name of the profile we also do sometimes? "Edit CSV profile '...' (see itemtypes)

Still going to pass QA as this is definitely a step in the right direction and an improvement.
Comment 9 Katrin Fischer 2021-04-03 14:53:35 UTC
Created attachment 119158 [details] [review]
Bug 28037: Improve breadcrumbs of CSV profiles page

This patch expands the logic around the page title and breadcrumbs of
the CSV profiles page.

The name of the page has also been changed from "CSV export profiles" to
"CSV profiles" to match links elsewhere in Koha.

To test, apply the patch and go to Tools -> CSV profiles.

- The initial state of the page title and breadcrumbs menu should be
  "Tools > CSV profiles."
- Click "New CSV profile." The page title and breadcrumbs should show
  "Tools > CSV profiles > New CSV profile."
- Edit an existing CSV profile. The page title and breadcrumbs should
  show "Tools > CSV profiles > Modify a CSV profile."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Jonathan Druart 2021-04-06 13:59:33 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 11 Fridolin Somers 2021-04-19 09:32:08 UTC
Enhancement not pushed to 20.11.x
Comment 12 David Nind 2021-04-20 18:59:10 UTC
(In reply to Katrin Fischer from comment #8)
> This makes me wonder a few things:
> 
> - Should we be using Edit or Modify? Do we have a preferred term or does it
> not matter?
> 
> - It now reads: "Modify a CSV profile" Looking at other pages, should this
> just be "Modify CSV profile"? (see news) 
> 
> - Or should we even try to include the name of the profile we also do
> sometimes? "Edit CSV profile '...' (see itemtypes)
> 
> Still going to pass QA as this is definitely a step in the right direction
> and an improvement.

I have added Bug 28184 for this.